AdminLog = {}

function AdminLog:loadMap()
    addConsoleCommand("addmoney", "Geld zum Hof hinzufügen (nur für Admins)", "addMoneyCommand", self)
end

function AdminLog:addMoneyCommand(amountStr)
    if not self:isAdmin() then
        return "Nur Administratoren können diesen Befehl ausführen."
    end

    local amount = tonumber(amountStr)
    if not amount then
        return "Ungültiger Betrag. Bitte geben Sie eine gültige Zahl ein."
    end

    if g_currentMission then
        local farm = g_farmManager:getFarmById(g_currentMission:getFarmId())
        if farm then
            farm:changeBalance(amount, MoneyType.OTHER)
            return string.format("%d wurde dem Hof hinzugefügt.", amount)
        else
            return "Hof nicht gefunden. Sind Sie in einem Spiel?"
        end
    else
        return "Geld konnte nicht hinzugefügt werden. Sind Sie in einem Spiel?"
    end
end

function AdminLog:isAdmin()
    if g_currentMission:getIsServer() then
        return true
    elseif g_currentMission.isMasterUser then
        return true
    elseif g_currentMission.userManager:getUserByUserId(g_currentMission.playerUserId):getIsMasterUser() then
        return true
    end
    return false
end

addModEventListener(AdminLog)